Index: /branches/network/src/world_entities/environments/water.cc
===================================================================
--- /branches/network/src/world_entities/environments/water.cc	(revision 6692)
+++ /branches/network/src/world_entities/environments/water.cc	(revision 6693)
@@ -54,5 +54,5 @@
   this->rebuildGrid();
   this->waterMaterial = new Material();
-  this->waterShader = (Shader*)ResourceManager::getInstance()->load("shaders/water.vert", SHADER, RP_GAME, (void*)"shaders/water.frag");
+  this->waterShader = (Shader*)ResourceManager::getInstance()->load("shaders/water.vert", SHADER, RP_GAME, "shaders/water.frag");
 
   this->grid->height(this->grid->columns()/2,this->grid->rows()/2) = 100;
@@ -70,14 +70,14 @@
 
   LoadParam(root, "size", this, Water, setSize)
-      .describe("the size of the WaterSurface")
-      .defaultValues(2, 1.0f, 1.0f);
+  .describe("the size of the WaterSurface")
+  .defaultValues(2, 1.0f, 1.0f);
 
   LoadParam(root, "resolution", this, Water, setResolution)
-      .describe("sets the resolution of the water surface")
-      .defaultValues(2, 10, 10);
+  .describe("sets the resolution of the water surface")
+  .defaultValues(2, 10, 10);
 
   LoadParam(root, "height", this, Water, setHeight)
-      .describe("the height of the Waves")
-      .defaultValues(1, 0.5f);
+  .describe("the height of the Waves")
+  .defaultValues(1, 0.5f);
 }
 
@@ -92,7 +92,7 @@
   }
 
-//   WE DO NOT NEED THIS AS IT IS DONE IN WORLDENTITY->setModel();
-//   if (this->grid != NULL)
-//     this->grid = NULL;
+  //   WE DO NOT NEED THIS AS IT IS DONE IN WORLDENTITY->setModel();
+  //   if (this->grid != NULL)
+  //     this->grid = NULL;
 
   this->grid = new Grid(this->sizeX, this->sizeY, this->resX, this->resY);
@@ -127,38 +127,42 @@
 void Water::draw() const
 {
-  //SkyBox::enableCubeMap();
-
-  glBindTexture(GL_TEXTURE_2D, 15);
-  glTexEnvi(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
-
-  glTexGeni(GL_S, GL_TEXTURE_GEN_MODE, GL_SPHERE_MAP);
-  glTexGeni(GL_T, GL_TEXTURE_GEN_MODE, GL_SPHERE_MAP);
-  glEnable(GL_TEXTURE_GEN_S);
-  glEnable(GL_TEXTURE_GEN_T);
-
-  glEnable(GL_BLEND);
-  glBlendFunc (GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
-  // this->waterShader->activateShader();
-//  this->waterMaterial->select();
-  WorldEntity::draw();
-  //Shader::deactivateShader();
-
-  SkyBox::disableCubeMap();
+  if (this->grid != NULL)
+  {
+    //SkyBox::enableCubeMap();
+    WorldEntity::draw();
+    glBindTexture(GL_TEXTURE_2D, 15);
+    glTexEnvi(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
+
+    glTexGeni(GL_S, GL_TEXTURE_GEN_MODE, GL_SPHERE_MAP);
+    glTexGeni(GL_T, GL_TEXTURE_GEN_MODE, GL_SPHERE_MAP);
+    glEnable(GL_TEXTURE_GEN_S);
+    glEnable(GL_TEXTURE_GEN_T);
+
+    glEnable(GL_BLEND);
+    glBlendFunc (GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
+    // this->waterShader->activateShader();
+    //  this->waterMaterial->select();
+    //Shader::deactivateShader();
+
+    SkyBox::disableCubeMap();
+  }
 }
 
 void Water::tick(float dt)
 {
-/*
-    THE OLD USELESS ALGORITHM
-  phase += dt *.1;
-  for (unsigned int i = 0; i < this->grid->rows(); i++)
-  {
-    for (unsigned int j = 0; j < this->grid->columns(); j++)
+  if (unlikely(this->velocities == NULL))
+    return;
+  /*
+      THE OLD USELESS ALGORITHM
+    phase += dt *.1;
+    for (unsigned int i = 0; i < this->grid->rows(); i++)
     {
-      this->grid->height(i,j) = this->height*sin(((float)i/(float)this->grid->rows() *phase)+
-          this->height*cos((float)j/(float)this->grid->columns()) * phase * 2.0);
+      for (unsigned int j = 0; j < this->grid->columns(); j++)
+      {
+        this->grid->height(i,j) = this->height*sin(((float)i/(float)this->grid->rows() *phase)+
+            this->height*cos((float)j/(float)this->grid->columns()) * phase * 2.0);
+      }
     }
-  }
-  this->grid->rebuildNormals(this->height);*/
+    this->grid->rebuildNormals(this->height);*/
 
 
@@ -168,31 +172,46 @@
   // wave/advection
   // calc movement
-  for(j = 1; j < this->grid->rows() - 1; j++) {
-    for(i = 1; i < this->grid->columns() - 1; i++) {
+  for(j = 1; j < this->grid->rows() - 1; j++)
+  {
+    for(i = 1; i < this->grid->columns() - 1; i++)
+    {
       u =  this->grid->height(i+1,j)+ this->grid->height(i-1, j) +
-          this->grid->height(i, j+1) + this->grid->height(i, j-1) -
-          4 * this->grid->height(i, j);
+           this->grid->height(i, j+1) + this->grid->height(i, j-1) -
+           4 * this->grid->height(i, j);
       this->velocities[i][j] += dt * this->viscosity * this->viscosity * u / this->height;
       this->grid->height(i, j) += dt * this->velocities[i][j];
     }
   }
-/*  // advect
-  for(j = 1; j < this->grid->rows() - 1; j++) {
-    for(i = 1; i < this->grid->columns() - 1; i++) {
-      this->grid->height(i, j) += dt * this->velocities[i][j];
-    }
-  }*/
+  // boundraries
+  for (j = 0; j < this->grid->rows(); j++)
+  {
+    this->grid->height(0,j) = this->grid->height(1,j);
+    this->grid->height(this->grid->rows()-1,j) = this->grid->height(this->grid->rows()-2, j);
+  }
+  for (i = 0; i < this->grid->rows(); i++)
+  {
+    this->grid->height(i,0) = this->grid->height(i,1);
+    this->grid->height(i,this->grid->columns()-1) = this->grid->height(i, this->grid->columns()-2);
+  }
+  /*  // advect
+    for(j = 1; j < this->grid->rows() - 1; j++) {
+      for(i = 1; i < this->grid->columns() - 1; i++) {
+        this->grid->height(i, j) += dt * this->velocities[i][j];
+      }
+    }*/
   // bound
-//   unsigned int w = this->grid->columns - 1;
-//   for(i = 0; i < this->grid->columns; i++) {
-//     _map[i][0].u[1] = _map[i][1  ].u[1];
-//     _map[i][w].u[1] = _map[i][w-1].u[1];
-//     _map[0][i].u[1] = _map[1  ][i].u[1];
-//     _map[w][i].u[1] = _map[w-1][i].u[1];
-//   }
+  //   unsigned int w = this->grid->columns - 1;
+  //   for(i = 0; i < this->grid->columns; i++) {
+  //     _map[i][0].u[1] = _map[i][1  ].u[1];
+  //     _map[i][w].u[1] = _map[i][w-1].u[1];
+  //     _map[0][i].u[1] = _map[1  ][i].u[1];
+  //     _map[w][i].u[1] = _map[w-1][i].u[1];
+  //   }
 
   // diffusion
-  for(j = 1; j < this->grid->rows() - 1; j++) {
-    for(i = 1; i < this->grid->columns() - 1 ; i++) {
+  for(j = 1; j < this->grid->rows() - 1; j++)
+  {
+    for(i = 1; i < this->grid->columns() - 1 ; i++)
+    {
       u = this->grid->height(i+1, j) + this->grid->height(i-1, j) +
           this->grid->height(i, j+1) + this->grid->height(i, j-1) -
@@ -203,19 +222,19 @@
 
   // calc normals
-//   float l[3];
-//   float m[3];
-//   for(j = 1; j < this->grid->rows() -1; j++) {
-//     for(i = 1; i < this->grid->columns() - 1; i++) {
-//       l[0] = this->grid->vertexG(i, j-1).x - this->grid->vertexG(i, j+1).x;
-//       l[1] = this->grid->vertexG(i, j-1).y - this->grid->vertexG(i, j+1).y;
-//       l[2] = this->grid->vertexG(i, j-1).z - this->grid->vertexG(i, j+1).z;
-//       m[0] = this->grid->vertexG(i-1,j).x - this->grid->vertexG(i+1, j).x;
-//       m[1] = this->grid->vertexG(i-1,j).y - this->grid->vertexG(i+1, j).y;
-//       m[2] = this->grid->vertexG(i-1,j).z - this->grid->vertexG(i+1, j).z;
-//       this->grid->normalG(i, j).x = l[1] * m[2] - l[2] * m[1];
-//       this->grid->normalG(i, j).y = l[2] * m[0] - l[0] * m[2];
-//       this->grid->normalG(i, j).z = l[0] * m[1] - l[1] * m[0];
-//     }
-//   }
+  //   float l[3];
+  //   float m[3];
+  //   for(j = 1; j < this->grid->rows() -1; j++) {
+  //     for(i = 1; i < this->grid->columns() - 1; i++) {
+  //       l[0] = this->grid->vertexG(i, j-1).x - this->grid->vertexG(i, j+1).x;
+  //       l[1] = this->grid->vertexG(i, j-1).y - this->grid->vertexG(i, j+1).y;
+  //       l[2] = this->grid->vertexG(i, j-1).z - this->grid->vertexG(i, j+1).z;
+  //       m[0] = this->grid->vertexG(i-1,j).x - this->grid->vertexG(i+1, j).x;
+  //       m[1] = this->grid->vertexG(i-1,j).y - this->grid->vertexG(i+1, j).y;
+  //       m[2] = this->grid->vertexG(i-1,j).z - this->grid->vertexG(i+1, j).z;
+  //       this->grid->normalG(i, j).x = l[1] * m[2] - l[2] * m[1];
+  //       this->grid->normalG(i, j).y = l[2] * m[0] - l[0] * m[2];
+  //       this->grid->normalG(i, j).z = l[0] * m[1] - l[1] * m[0];
+  //     }
+  //   }
   this->grid->rebuildNormals(this->height);
 }
Index: /branches/network/src/world_entities/items/item_container.cc
===================================================================
--- /branches/network/src/world_entities/items/item_container.cc	(revision 6693)
+++ /branches/network/src/world_entities/items/item_container.cc	(revision 6693)
@@ -0,0 +1,50 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "item_container.h"
+
+using namespace std;
+
+
+/**
+ * standard constructor
+ * @todo this constructor is not jet implemented - do it
+*/
+ItemContainer::ItemContainer ()
+{
+   this->setClassID(CL_ITEM_CONTAINER, "ItemContainer");
+
+   /* If you make a new class, what is most probably the case when you write this file
+      don't forget to:
+       1. Add the new file new_class.cc to the ./src/Makefile.am
+       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
+
+      Advanced Topics:
+      - if you want to let your object be managed via the ObjectManager make sure to read
+        the object_manager.h header comments. You will use this most certanly only if you
+        make many objects of your class, like a weapon bullet.
+   */
+}
+
+
+/**
+ * standard deconstructor
+*/
+ItemContainer::~ItemContainer ()
+{
+  // delete what has to be deleted here
+}
Index: /branches/network/src/world_entities/items/item_container.h
===================================================================
--- /branches/network/src/world_entities/items/item_container.h	(revision 6693)
+++ /branches/network/src/world_entities/items/item_container.h	(revision 6693)
@@ -0,0 +1,27 @@
+/*!
+ * @file item_container.h
+ * @brief Definition of a Container for Items one can pick up
+ */
+
+#ifndef _ITEM_CONTAINER_H
+#define _ITEM_CONTAINER_H
+
+#include "base_object.h"
+
+// FORWARD DECLARATION
+
+
+
+//! A class for storing collected Items.
+class ItemContainer : public BaseObject {
+
+ public:
+  ItemContainer();
+  virtual ~ItemContainer();
+
+
+ private:
+
+};
+
+#endif /* _ITEM_CONTAINER_H */
Index: /branches/network/src/world_entities/movie_entity.cc
===================================================================
--- /branches/network/src/world_entities/movie_entity.cc	(revision 6692)
+++ /branches/network/src/world_entities/movie_entity.cc	(revision 6693)
@@ -19,7 +19,4 @@
 #include "load_param.h"
 #include "factory.h"
-
-#include "network_game_manager.h"
-#include "converter.h"
 
 using namespace std;
Index: /branches/network/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- /branches/network/src/world_entities/projectiles/guided_missile.cc	(revision 6692)
+++ /branches/network/src/world_entities/projectiles/guided_missile.cc	(revision 6693)
@@ -43,5 +43,5 @@
   this->setMaxEnergy(10);
   this->lifeSpan = 10.0;
-  this->agility = 500;
+  this->agility = 5;
   this->maxVelocity = 75;
 
Index: /branches/network/src/world_entities/projectiles/laser.cc
===================================================================
--- /branches/network/src/world_entities/projectiles/laser.cc	(revision 6692)
+++ /branches/network/src/world_entities/projectiles/laser.cc	(revision 6693)
@@ -17,4 +17,6 @@
 
 #include "laser.h"
+#include <assert.h>
+
 
 #include "fast_factory.h"
@@ -26,4 +28,5 @@
 #include "particle_emitter.h"
 #include "sprite_particles.h"
+#include <cassert>
 
 #include "assert.h"
Index: /branches/network/src/world_entities/space_ships/helicopter.cc
===================================================================
--- /branches/network/src/world_entities/space_ships/helicopter.cc	(revision 6692)
+++ /branches/network/src/world_entities/space_ships/helicopter.cc	(revision 6693)
@@ -117,12 +117,12 @@
   bFire = false;
   xMouse = yMouse = 0;
-  mouseSensitivity = 0.001;
-  rotorspeed = 1;
-  tailrotorspeed = 0;
-
-  cycle = 0.0;
-
-
-  travelSpeed = 15.0;
+  mouseSensitivity = 0.05;
+  //rotorspeed = 1;
+  //tailrotorspeed = 0;
+
+  //cycle = 0.0;
+
+
+  //travelSpeed = 15.0;
   this->velocity = Vector(0.0,0.0,0.0);
   this->velocityDir = Vector(1.0,0.0,0.0);
@@ -134,9 +134,9 @@
 
   //add events to the eventlist
-  registerEvent(SDLK_w);
-  registerEvent(SDLK_s);
-  registerEvent(SDLK_a);
-  registerEvent(SDLK_d);
-  registerEvent(SDLK_q);
+  registerEvent(KeyMapper::PEV_UP);
+  registerEvent(KeyMapper::PEV_DOWN);
+  registerEvent(KeyMapper::PEV_LEFT);
+  registerEvent(KeyMapper::PEV_RIGHT);
+  //registerEvent(SDLK_q);
   registerEvent(SDLK_e);
   registerEvent(SDLK_c);
@@ -144,6 +144,6 @@
   registerEvent(KeyMapper::PEV_NEXT_WEAPON);
   registerEvent(KeyMapper::PEV_PREVIOUS_WEAPON);
-  registerEvent(SDLK_PAGEUP);
-  registerEvent(SDLK_PAGEDOWN);
+  //registerEvent(SDLK_PAGEUP);
+  //registerEvent(SDLK_PAGEDOWN);
   registerEvent(EV_MOUSE_MOTION);
 
@@ -249,4 +249,5 @@
 void Helicopter::tick (float time)
 {
+  /*
   tailrotorspeed += xMouse/20;
   if (tailrotorspeed >= 0.07) tailrotorspeed = 0.07;
@@ -256,21 +257,27 @@
   else if (tailrotorspeed < -0.0008) tailrotorspeed += 0.001;
   if (tailrotorspeed <= 0.001 && tailrotorspeed >= -0.001) tailrotorspeed = 0;
-
+  */
+  
   // spaceship controlled movement
   this->calculateVelocity(time);
 
-  Vector move = (velocity);
+  Vector move = (velocity)*time;
 
   // this is the air friction (necessary for a smooth control)
   if(velocity.len() != 0) velocity -= velocity*0.1;
+  
+  //travelSpeed = velocity.len();
 
   //physics: Gravity
-  this->shiftCoor(Vector(0,-1,0));
+  /*this->shiftCoor(Vector(0,-1,0));
 
   this->shiftCoor(getAbsDirY()*rotorspeed);
-
+  */
+  
+  /*
   //hoover effect
   cycle += time;
   this->shiftCoor(Vector(0,1,0)*cos(this->cycle*2.0)*0.02);
+  */
 
   //readjust
@@ -281,5 +288,5 @@
 
   this->shiftCoor (move);
-  this->shiftDir(Quaternion(-M_PI/4*tailrotorspeed, Vector(0,1,0)));
+  //this->shiftDir(Quaternion(-M_PI/4*tailrotorspeed, Vector(0,1,0)));
 
   this->getWeaponManager()->tick(time);
@@ -295,6 +302,6 @@
 {
   Vector accel(0.0, 0.0, 0.0);
-  Vector rot(0.0, 0.0, 0.0);
-  float rotVal = 0.0;
+  float rotValX = 0.0;
+  float rotValZ = 0.0;
   /* FIXME: calculating the direction and orthDirection every timeSlice is redundant! save it somewhere */
   /* calculate the direction in which the craft is heading  */
@@ -304,10 +311,11 @@
      //this->shiftCoor(this->getAbsDirX());
      //accel -= this->getAbsDirY();
-     rot += Vector (0,0,1);
-     rotVal -= time/5;
+     
+     accel += Vector((this->getAbsDirX()).x,0,(this->getAbsDirX()).z);
+     if((this->getAbsDirX()).y >= -0.1) rotValZ -= time;
    }
    else
    {
-       if(this->getAbsDirX().y < -.02) this->shiftDir(Quaternion(time/8, Vector(0,0,1)));
+       if(this->getAbsDirX().y < -.02) this->shiftDir(Quaternion(time, Vector(0,0,1)));
    }
 
@@ -316,10 +324,11 @@
      //this->shiftCoor((this->getAbsDirX())*-1);
      //accel -= this->getAbsDirY();
-     rot += Vector (0,0,1);
-     rotVal += time/5;
+     
+     accel -= Vector((this->getAbsDirX()).x,0,(this->getAbsDirX()).z);
+     rotValZ += time;
    }
    else
    {
-         if(this->getAbsDirX().y > 0.02) this->shiftDir(Quaternion(-time/8, Vector(0,0,1)));
+         if(this->getAbsDirX().y > 0.02) this->shiftDir(Quaternion(-time, Vector(0,0,1)));
    }
 
@@ -329,10 +338,11 @@
     //accel -= this->getAbsDirY();
     //velocityDir.normalize();
-    rot += Vector(1,0,0);
-    rotVal -= time/5;
+    
+    accel -= Vector((this->getAbsDirZ()).x,0,(this->getAbsDirZ()).z);
+    rotValX -= time;
   }
   else
    {
-         if(this->getAbsDirZ().y > 0.02) this->shiftDir(Quaternion(time/5, Vector(1,0,0)));
+         if(this->getAbsDirZ().y > 0.02) this->shiftDir(Quaternion(time, Vector(1,0,0)));
    }
 
@@ -340,12 +350,13 @@
   {
     //this->shiftDir(Quaternion(-time, Vector(0,1,0)));
-    accel += this->getAbsDirY();
+    //accel += this->getAbsDirY();
     //velocityDir.normalize();
-    rot += Vector(1,0,0);
-    rotVal += time/5;
+    
+    accel += Vector((this->getAbsDirZ()).x,0,(this->getAbsDirZ()).z);
+    rotValX += time;
   }
   else
    {
-         if(this->getAbsDirZ().y < -0.02) this->shiftDir(Quaternion(-time/5, Vector(1,0,0)));
+         if(this->getAbsDirZ().y < -0.02) this->shiftDir(Quaternion(-time, Vector(1,0,0)));
    }
 
@@ -371,6 +382,7 @@
     //this->shiftDir(Quaternion(time, Vector(0,0,1)));
 
-    rotorspeed += 0.05;
-    if (rotorspeed >= 2) rotorspeed = 2;
+    accel += this->getAbsDirY();
+    //rotorspeed += 0.05;
+    //if (rotorspeed >= 2) rotorspeed = 2;
     //velocityDir.normalize();
     //rot += Vector(0,0,1);
@@ -379,5 +391,5 @@
   else
   {
-    if(rotorspeed >= 1.05) rotorspeed -= 0.05;
+    //if(rotorspeed >= 1.05) rotorspeed -= 0.05;
   }
 
@@ -386,6 +398,7 @@
     //this->shiftDir(Quaternion(-time, Vector(0,0,1)));
 
-    rotorspeed -= 0.05;
-    if (rotorspeed <= 0) rotorspeed = 0;
+    accel -= this->getAbsDirY();
+    //rotorspeed -= 0.05;
+    //if (rotorspeed <= 0) rotorspeed = 0;
     //velocityDir.normalize();
     //rot += Vector(0,0,1);
@@ -394,10 +407,10 @@
   else
   {
-    if(rotorspeed <= 0.05) rotorspeed += 0.05;
-  }
-
-  //velocity += accel;
-  rot.normalize();
-  this->shiftDir(Quaternion(rotVal, rot));
+    //if(rotorspeed <= 0.05) rotorspeed += 0.05;
+  }
+
+  velocity += accel*3;
+  if((this->getAbsDirX()).y <= 0.3 && (this->getAbsDirX()).y >= -0.3) this->shiftDir(Quaternion(rotValZ, Vector(0,0,1)));
+  if((this->getAbsDirZ()).y <= 0.3 && (this->getAbsDirZ()).y >= -0.3) this->shiftDir(Quaternion(rotValX, Vector(1,0,0)));
 }
 
@@ -429,7 +442,7 @@
 
 
-  if( event.type == SDLK_a)
+  if( event.type == KeyMapper::PEV_LEFT)
       this->bLeft = event.bPressed;
-  else if( event.type == SDLK_d)
+  else if( event.type == KeyMapper::PEV_RIGHT)
       this->bRight = event.bPressed;
   else if( event.type == KeyMapper::PEV_FIRE1)
@@ -443,7 +456,7 @@
   else if( event.type == SDLK_c)
     this->bDescend = event.bPressed; //this->shiftCoor(0,-.1,0);
-  else if( event.type == SDLK_w)
+  else if( event.type == KeyMapper::PEV_UP)
     this->bUp = event.bPressed; //this->shiftCoor(0,.1,0);
-  else if( event.type == SDLK_s)
+  else if( event.type == KeyMapper::PEV_DOWN)
     this->bDown = event.bPressed; //this->shiftCoor(0,-.1,0);
   else if( event.type == EV_MOUSE_MOTION)
@@ -452,5 +465,5 @@
     this->yMouse = event.yRel*mouseSensitivity;
 
-    //this->shiftDir(Quaternion(-M_PI/4*xMouse*mouseSensitivity, Vector(0,1,0))*Quaternion(-M_PI/4*yMouse*mouseSensitivity, Vector(0,0,1)));
+    this->shiftDir(Quaternion(-M_PI/4*xMouse*mouseSensitivity, Vector(0,1,0))/*Quaternion(-M_PI/4*yMouse*mouseSensitivity, Vector(0,0,1))*/);
   }
 }
Index: /branches/network/src/world_entities/space_ships/helicopter.h
===================================================================
--- /branches/network/src/world_entities/space_ships/helicopter.h	(revision 6692)
+++ /branches/network/src/world_entities/space_ships/helicopter.h	(revision 6693)
@@ -57,6 +57,7 @@
     float                 xMouse;             //!< mouse moved in x-Direction
     float                 yMouse;             //!< mouse moved in y-Direction
+    int                   yInvert;
     float                 mouseSensitivity;   //!< the mouse sensitivity
-    float                 cycle;              //!< hovercycle
+    //float                 cycle;              //!< hovercycle
 
     Vector                velocity;           //!< the velocity of the player.
@@ -64,6 +65,6 @@
     float                 travelSpeed;        //!< the current speed of the player (to make soft movement)
     float                 acceleration;       //!< the acceleration of the player.
-    float                 rotorspeed;         //!< the speed of the rotor.
-    float                 tailrotorspeed;     //!< the relativ speed ot the tail rotor
+    //float                 rotorspeed;         //!< the speed of the rotor.
+    //float                 tailrotorspeed;     //!< the relativ speed ot the tail rotor
 
     float                 airViscosity;
